import * as t from '@babel/types';
import * as prettier from 'prettier';
export declare class RuleTest {
    private testAst;
    private moduleName;
    private globalRuleTests;
    private moduleRuleTests;
    constructor(moduleName: string, testAst: t.File);
    static create(moduleName: string): RuleTest;
    static parse(testSource: string): RuleTest;
    print(prettierConfig: prettier.Options | undefined): string;
    setGlobalRuleTests(declarationName: string, tests: t.Statement[]): void;
    setModuleRuleTests(moduleName: string, declarationName: string, tests: t.Statement[]): void;
}
//# sourceMappingURL=RuleTest.d.ts.map