"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visitor = {
    ExportNamedDeclaration(path) {
        if (path.node.specifiers.length === 0 && !path.node.declaration) {
            path.remove();
        }
    },
};
exports.default = () => ({
    name: 'remove-empty-export-plugin',
    visitor,
    manipulateOptions(opts, parserOpts) {
        parserOpts.plugins.push('exportDefaultFrom');
    },
});
//# sourceMappingURL=removeEmptyExportPlugin.js.map