"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visitor = {
    ExportAllDeclaration(path) {
        if (path.node.exportKind === 'type') {
            path.node.exportKind = 'value';
        }
    },
};
exports.default = () => ({
    name: 'remove-export-all-declaration-plugin',
    visitor,
    manipulateOptions(opts, parserOpts) {
        parserOpts.plugins.push(['flow', { enums: true }]);
        parserOpts.plugins.push('exportDefaultFrom');
    },
});
//# sourceMappingURL=removeExportAllTypePlugin.js.map